GRDEDIT(l)

NAME
grdedit - Modifying the header in a 2-D grdfile

SYNOPSIS
grdedit grdfile [ -A ] [ -Dxunit/yunit/zunit/scale/offset/title/remark ] [ -Rwest/east/south/north[r] ] [ -S ] [ -V ]

DESCRIPTION
grdedit reads the header information in a binary 2-D grdfile and replaces the information with values provided on the command line [if any]. As an option, global, geographical grids (with 360 degrees longitude range) can be rotated in the east-west direction. grdedit only operates on files containing a grdheader.
        No space between the option flag and the associated arguments. Use upper case for the option flags and lower case for modifiers.

grdfile
    Name of the 2-D grdfile to modify

OPTIONS

-A  If necessary, adjust the file's x_inc, y_inc to be compatible with its domain (or a new domain set with -R). Older gridfiles (i.e., created prior to GMT 3.1) often had excessive slop in' x_inc, y_inc and an adjustment is necessary. Newer files are created correctly.

-D  Give new values for xunit, yunit, zunit, scale, offset, title, and remark. To leave some of the values untouched, specify = as the new value.

-R  west, east, south, and north specify the Region of interest. To specify boundaries in degrees and minutes [and seconds], use the dd:mm[:ss] format. Append r if lower left and upper right map coordinates are given instead of wesn. The new w/e/s/n values will replace those in the grid, and the x_inc, y_inc values are adjusted, if necessary.

-S  For global, geographical grids only. Grid values will be shifted laterally according to the new borders given in -R.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
Let us assume the file data.grd covers the area 300/310/10/30. We want to change the boundaries from geodetic longitudes to geographic and put a new title in the header. We accomplish this by

grdedit data.grd -R-60/-50/10/30 -D=/=/=/=/=/"Gravity Anomalies"/=

The grid world.grd has the limits 0/360/-72/72. To shift the data so that the limits would be -180/180/-72/72, use

grdedit world.grd -R-180/180/-72/72 -S

The file junk.grd was created prior to GMT 3.1 with incompatible -R and -I arguments. To reset the x- and y-increments we run

grdedit junk.grd -A

SEE ALSO
gmt(1gmt), grd2xyz(1gmt), xyz2grd(1gmt)